#
# spec file for package rubygem-highline-1_6
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-highline-1_6
Version:        1.6.21
Release:        lp150.4.4
%define mod_name highline
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -1_6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://highline.rubyforge.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        HighLine is a high-level command-line IO library
License:        Ruby
Group:          Development/Languages/Ruby

%description
A high-level IO library that provides validation, type conversion, and more
for
command-line interfaces. HighLine also includes a complete menu system that
can
crank out anything from simple list selection to complete shells with just
minutes of work.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG COPYING LICENSE README.rdoc" \
  -f
# MANUAL
find %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version} -name .gitignore -delete
find %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version} -name .cvsignore -delete

rm -rf %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version}/examples
# /MANUAL

%gem_packages

%changelog
* Wed May  6 2015 coolo@suse.com
- split 1.6 version off
* Sat Nov  1 2014 tboerger@suse.com
- Replaced rb_ver with an asterisk to expand correctly with multiple ruby versions
* Wed Oct 22 2014 tboerger@suse.com
- Updated to new ruby macros based on gem2rpm
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sat Mar 15 2014 coolo@suse.com
- updated to version 1.6.21
  * Improved Windows integration (by Ronie Henrich).
  * Clarified menu choice error messages (by Keith Bennett).
* Sun Oct 20 2013 coolo@suse.com
- updated to version 1.6.20
  * Fixed a bug with FFI::NCurses integration (by agentdave).
  * Improved StringExtensions performance (by John Leach).
  * Various JRuby fixes (by presidentbeef).
* Mon May 13 2013 coolo@suse.com
- updated to version 1.6.19
  * Fixed `terminal_size()` with jline2 (by presidentbeef).
* Sat Apr 20 2013 coolo@suse.com
- updated to version 1.6.18
  * Fixed a long supported interface that was accidentally broken with a recent change (by Rubem Nakamura Carneiro).
  * Added encoding support to menus (by David Lyons).
  * Some minor fixes to SystemExtensions (by whiteleaf and presidentbeef).
* Mon Mar 18 2013 coolo@suse.com
- updated to version 1.6.16
  * Added the new indention feature (by davispuh).
  * Separated auto-completion from the answer type (by davispuh).
  * Improved JRuby support (by rsutphin).
  * General code clean up (by stomar).
  * Made HighLine#say() a little smarter with regard to color escapes (by Kenneth Murphy).
* Sun Sep 23 2012 coolo@suse.com
- updated to version 1.6.15
  * Added support for nil arguments in lists (by Eric Saxby).
  * Fixed HighLine's termios integration (by Jens Wille).
* Wed Aug 29 2012 coolo@suse.com
- updated to version 1.6.14
  * Added JRuby 1.7 support (by Mina Nagy).
  * Take into account color escape sequences when wrapping text (by Mark J.
    Titorenko).
* Tue Jul 10 2012 jatan@suse.de
-Add provides for rubygem-highline-1_6
* Thu Jun 28 2012 coolo@suse.com
- update to 1.6.13:
  * Removed unneeded Shebang lines (by Scott Gonyea).
  * Protect the String passed to Question.new from modification (by michael).
  * Added a retype-to-verify setting (by michael).
* Sat May 12 2012 coolo@suse.com
- update to 1.6.12:
  * Silenced warnings (by James McEwan).
* Sat Mar 24 2012 berendt@b1-systems.de
- remove installed .cvsignore files
* Fri Mar  9 2012 saschpe@suse.de
- Fix wrong shebang lines
* Thu Mar  8 2012 saschpe@suse.de
- Update to version 1.6.11:
  * Fixed a bad test.  (Fix by Diego Elio Pettenò.)
- Changes from version 1.6.10:
  * Fixed a regression that prevented asking for String arguments (by Jeffery
  Sman.)
  * Fixed a testing incompatibility (by Hans de Graaff.)
- Changes from version 1.6.9:
  * The new list modes now properly ignore escapes when sizing.
  * Added a project gemspec file.
  * Fixed a bug that prevented the use of termios (by tomdz).
  * Switch to JLine to provide better echo support on JRuby (by tomdz).
- Changes from version 1.6.8:
  * Fix missing <tt>ERASE_CHAR</tt> reference (by Aaron Gifford).
- See CHANGELOG for previous versions...
* Thu Aug 18 2011 mrueckert@suse.de
- update to version 1.6.2
  - Correctly handle STDIN being closed before we receive any data
    (fix by mleinart).
  - Try if msvcrt, if we can't load crtdll on Windows
    (fix by pepijnve).
  - A fix for nil_on_handled not running the action
    (reported by Andrew Davey).
* Wed Dec 15 2010 puzel@novell.com
- update to version 1.6.1
  * Fixed raw_no_echo_mode so that it uses stty -icanon rather than
    cbreak as cbreak does not appear to be the posixly correct
    argument.  It fails on Solaris if cbreak is used.
  * Fixed an issue that kept Menu from showing the correct choices
    for disambiguation.
  * Removed a circular require that kept Ruby 1.9.2 from loading
    HighLine.
  * Fixed a bug that caused infinite looping when wrapping text
    without spaces.
  * Fixed it so that :auto paging accounts for the two lines it
    adds.
  * On JRuby, improved error message about ffi-ncurses.  Before
    1.5.3, HighLine was silently swallowing error messages when
    ffi-ncurses gem was installed without ncurses present on the
    system.
  * Reverted Aaron Simmons's patch to allow redirecting STDIN on
    Windows.  This is the only way we could find to restore
    HighLine's character reading to working order.
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 1.5.2
  * Added support for using the ffi-ncurses gem which is supported
    in JRuby.
  * Added gem build instructions.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 1.5.1
* Wed Nov 12 2008 mrueckert@suse.de
- update to 1.5.0
* Sun Aug  5 2007 mrueckert@suse.de
- initial package of version 1.2.9
